Bug 131492 - problems with other repositories
problems with other repositories
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-01 14:46 EDT by Brian Millett
Modified: 2014-01-21 17:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 11:44:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Millett 2004-09-01 14:46:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
After updating to yum-2.1.0-1

I have in my yum.conf:
## 5-11-04 added comments
### And then add theese lines to access rpm.livna.org repositories:
[livna-stable]
name=Livna.org Fedora Compatible Packages (stable)
baseurl= http://rpm.livna.org/fedora/2/$basearch/yum/stable
gpgcheck=1


I get the following
[bpm]$ sudo yum update Setting up Update Process
Setting up Repo:  development
repomd.xml                100% |=========================| 1.1 kB    00:00
Setting up Repo:  livna-stable
repodata/repomd.xml: [Errno 4] IOError: HTTP Error 404: Not Found
Cannot open/read repomd.xml file for repository: livna-stable
failure: repodata/repomd.xml from livna-stable: [Errno 256] No more
mirrors to try.

So, are the yum repositories out there SOL until the new yum is stable?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run yum with a repository other than the rawhide source.
2.
3.
    

Additional info:
Comment 1 Seth Vidal 2004-09-01 16:21:13 EDT
repodata will show up on livna and a myriad of other places very soon.

I just talked with one of the livna admins and they're running it shortly.

Comment 2 Seth Vidal 2004-09-01 16:30:40 EDT
Just confirmed - created on livna repositories.

Comment 3 Brian Millett 2004-09-02 09:49:11 EDT
Seth, I am glad it works for you  I like what is being done to improve
yum.  Wouldn't it prevent problems (like me) if the main fedora
repositories (livna, fedora.us) had time to build the repodata?  And
someone like Arjan could have been notified to build one also?  As of
right now, only the rawhide seems to work.  I'd love to test how it
works.  When will the others get their repos compatible with the new yum?

Thanks

[livna-stable]
name=Livna.org Fedora Compatible Packages (stable)
baseurl= http://rpm.livna.org/fedora/2/$basearch/yum/stable
gpgcheck=1


[bpm]$ sudo yum -c /etc/rawhide.conf list
Setting up Repo:  development
repomd.xml                100% |=========================| 1.1 kB    00:00
Setting up Repo:  livna-stable
repodata/repomd.xml: [Errno 4] IOError: HTTP Error 404: Not Found
Cannot open/read repomd.xml file for repository: livna-stable
failure: repodata/repomd.xml from livna-stable: [Errno 256] No more
mirrors to try.
--------
[2.6testkernels]
name=Test Linux 2.6-test prerelease kernels for RHL9/rawhide
baseurl=http://people.redhat.com/arjanv/2.6


[bpm]$ sudo yum -c /etc/rawhide.conf list Setting up Repo:  development
repomd.xml                100% |=========================| 1.1 kB    00:00
Setting up Repo:  2.6testkernels
repodata/repomd.xml: [Errno 4] IOError: HTTP Error 404: Not Found
Cannot open/read repomd.xml file for repository: 2.6testkernels
failure: repodata/repomd.xml from 2.6testkernels: [Errno 256] No more
mirrors to try.
Comment 4 Seth Vidal 2004-09-02 09:53:32 EDT
unfortunately I don't control or even have any significant influence
over all those people. So you'll have to ask them.
Comment 5 Jeff Johnson 2004-09-02 10:26:45 EDT
repomd.xml is sufficient win that I'm sure that other repositories
will have sufficient reason to convery.

Meanwhile, I see no bug here, just a new implementation being deployed.
Comment 6 Brian Millett 2004-09-02 10:51:31 EDT
Agreed.  However, maybe a "bug" in the implementation process.  Like
making sure the mirrors are stocked before announcing a new release. 
I'm sorry I did not read any anouncement on a new yum that would
change the current processes.  I'm glad to test till the cows come
home.  It would be nice to know that it will be cows coming home, not
cows changed into horses.  Just my $.02.
Comment 7 Jeff Johnson 2004-09-02 11:44:27 EDT
Sure, OSS deploy is not perfect. Better deploy needs
better participation from other repo maintainers.

rpm-metadata been developing for more than a year,
and I'm quite sure that skvidal has tried to coordinate
release. I'm sure he would appreciate additional testing,
try the yum-list at duke.edu.

Note You need to log in before you can comment on or make changes to this bug.